Package org.gradle.plugins.ide.eclipse.model

## Interface FileReference

-     public interface FileReference

  A reference to a file in eclipse.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getFile()` | Returns the target file.
    `java.lang.String` | `getJarURL()` | Returns the jar URL of the file
    `java.lang.String` | `getPath()` | Returns the logical path for the file.
    `boolean` | `isRelativeToPathVariable()` | Returns true if this reference is relative to a path variable.

- - ### Method Detail

    - #### getPath

          java.lang.String getPath()

      Returns the logical path for the file.

    - #### getFile

          java.io.File getFile()

      Returns the target file.

    - #### getJarURL

          java.lang.String getJarURL()

      Returns the jar URL of the file

    - #### isRelativeToPathVariable

          boolean isRelativeToPathVariable()

      Returns true if this reference is relative to a path variable.